librevenge Namespace Reference documentation

Namespaces | Classes | Enumerations | Functions
librevenge Namespace Reference

## Namespaces
namespace | DrawingSVG
namespace | PresentationSVG

## Classes
class | AllocTable
class | DirEntry
class | DirInfo
class | DirTree
class | Header
class | IStorage
class | IStream
class | OStorage
class | RVNGBinaryData
| A representation of arbitrary binary data. More...
struct | RVNGBinaryDataImpl
class | RVNGBinaryDataProperty
class | RVNGBoolProperty
class | RVNGCSVSpreadsheetGenerator
| A CSV generator for spreadsheet documents. More...
struct | RVNGCSVSpreadsheetGeneratorImpl
struct | RVNGCSVSpreadsheetRowContent
class | RVNGDirectoryStream
| A stream representation of a directory. More...
struct | RVNGDirectoryStreamImpl
class | RVNGDoubleProperty
class | RVNGDrawingInterface
class | RVNGDummyDrawingGenerator
class | RVNGDummyPresentationGenerator
class | RVNGDummySpreadsheetGenerator
class | RVNGDummyTextGenerator
class | RVNGFileStream
class | RVNGFileStreamPrivate
class | RVNGGenericProperty
class | RVNGHTMLTextGenerator
struct | RVNGHTMLTextGeneratorImpl
| the internal state of a html document generator More...
class | RVNGHTMLTextListStyleManager
| Small class to manage the list style. More...
class | RVNGHTMLTextParagraphStyleManager
| Small class to manage the paragraph style. More...
class | RVNGHTMLTextSpanStyleManager
| Small class to manage the span style. More...
struct | RVNGHTMLTextStream
class | RVNGHTMLTextTableStyleManager
| Small class to manage the tables style. More...
struct | RVNGHTMLTextZone
| a zone to regroup footnote/endnote,... data More...
class | RVNGInchProperty
class | RVNGInputStream
class | RVNGIntProperty
class | RVNGMemoryInputStream
class | RVNGPercentProperty
class | RVNGPointProperty
class | RVNGPresentationInterface
| Interface for import of presentations. More...
class | RVNGProperty
class | RVNGPropertyFactory
class | RVNGPropertyList
class | RVNGPropertyListElement
class | RVNGPropertyListImpl
class | RVNGPropertyListIterImpl
class | RVNGPropertyListVector
class | RVNGPropertyListVectorImpl
class | RVNGPropertyListVectorIterImpl
class | RVNGRawDrawingGenerator
struct | RVNGRawDrawingGeneratorImpl
struct | RVNGRawGeneratorBase
class | RVNGRawPresentationGenerator
struct | RVNGRawPresentationGeneratorImpl
class | RVNGRawSpreadsheetGenerator
struct | RVNGRawSpreadsheetGeneratorImpl
class | RVNGRawTextGenerator
struct | RVNGRawTextGeneratorImpl
class | RVNGSpreadsheetInterface
| Pure virtual class containing all the callback functions that can be made by a spreadsheet parser. More...
class | RVNGString
| UTF-8 string. More...
class | RVNGStringImpl
class | RVNGStringProperty
class | RVNGStringStream
class | RVNGStringStreamPrivate
class | RVNGStringVector
class | RVNGStringVectorImpl
class | RVNGSVGDrawingGenerator
struct | RVNGSVGDrawingGeneratorPrivate
class | RVNGSVGPresentationGenerator
struct | RVNGSVGPresentationGeneratorImpl
class | RVNGTextDrawingGenerator
struct | RVNGTextDrawingGeneratorImpl
class | RVNGTextInterface
class | RVNGTextPresentationGenerator
struct | RVNGTextPresentationGeneratorImpl
class | RVNGTextSpreadsheetGenerator
| A text generator for spreadsheet documents. More...
struct | RVNGTextSpreadsheetGeneratorImpl
class | RVNGTextTextGenerator
struct | RVNGTextTextGeneratorImpl
class | RVNGTwipProperty
class | RVNGZipStream
class | Storage
class | Stream

## Enumerations
enum | { Avail = 0xffffffff , Eof = 0xfffffffe , Bat = 0xfffffffd , MetaBat = 0xfffffffc , NotFound =0xfffffff0 }
enum | RVNGStreamType { UNKNOWN , FLAT , OLE2 , ZIP }
enum | RVNGUnit { RVNG_INCH , RVNG_PERCENT , RVNG_POINT , RVNG_TWIP , RVNG_GENERIC , RVNG_UNIT_ERROR }
enum | RVNG_SEEK_TYPE { RVNG_SEEK_CUR , RVNG_SEEK_SET , RVNG_SEEK_END }

## Functions
static unsigned short | readU16 (const unsigned char *ptr)
static unsigned | readU32 (const unsigned char *ptr)
static void | writeU16 (unsigned char *ptr, unsigned long data)
static void | writeU32 (unsigned char *ptr, unsigned long data)
static unsigned long | getLength (RVNGInputStream *const input)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
Avail |
Eof |
Bat |
MetaBat |
NotFound |

## ◆ RVNG_SEEK_TYPE

enum librevenge::RVNG_SEEK_TYPE

Enumerator
RVNG_SEEK_CUR |
RVNG_SEEK_SET |
RVNG_SEEK_END |

## ◆ RVNGStreamType

enum librevenge::RVNGStreamType

Enumerator
UNKNOWN |
FLAT |
OLE2 |
ZIP |

## ◆ RVNGUnit

enum librevenge::RVNGUnit

Enumerator
RVNG_INCH |
RVNG_PERCENT |
RVNG_POINT |
RVNG_TWIP |
RVNG_GENERIC |
RVNG_UNIT_ERROR |

## Function Documentation

## ◆ getLength()

static unsigned long librevenge::getLength | ( | RVNGInputStream *const | input | ) |
| static

Referenced by librevenge::IStorage::load().

## ◆ readU16()

static unsigned short librevenge::readU16 | ( | const unsigned char * | ptr | ) |
| inlinestatic

Referenced by librevenge::DirEntry::load(), and librevenge::Header::load().

## ◆ readU32()

static unsigned librevenge::readU32 | ( | const unsigned char * | ptr | ) |
| inlinestatic

Referenced by librevenge::AllocTable::load(), librevenge::DirEntry::load(), librevenge::Header::load(), and librevenge::IStorage::load().

## ◆ writeU16()

static void librevenge::writeU16 | ( | unsigned char * | ptr,
|  | unsigned long | data )
| inlinestatic

Referenced by librevenge::DirEntry::save(), and librevenge::Header::save().

## ◆ writeU32()

static void librevenge::writeU32 | ( | unsigned char * | ptr,
|  | unsigned long | data )
| inlinestatic

Referenced by librevenge::AllocTable::save(), librevenge::DirEntry::save(), librevenge::Header::save(), and librevenge::OStorage::updateToSave().